#  Makefile for GTOOL-3.1 samples
#

include ../../../Mkinclude

PROGRAM	      = gtpv2

OBJ	      = $(PROGRAM).o 

OBJS	      = $(OBJ) ../../sample/optarg/optarg.o

SRC	      = $(PROGRAM).F

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

LDFLAGS       = $(STDLDFLAGS)

HDRS	      = $(INCDIR)/gtsinc.F

MAKEFILE      = Makefile

all: $(PROGRAM)

$(PROGRAM): $(OBJS) gpasps.o uspst.o ufftr.o usphe.o usubs.o usphyz.o
	$(GT3FRT) $(OBJS) $(FFLAGS) $(CLCLIBS) gpasps.o uspst.o ufftr.o usphe.o usubs.o usphyz.o

$(OBJ): $(SRC) $(HDRS)

install: $(PROGRAM)
	@echo "Installing executable program $(PROGRAM)"
	@$(CP) $(PROGRAM) $(BINDEST)/$(PROGRAM)

clean:
		$(RM) *.o *~ core *.trace *.f $(PROGRAM)

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS_ALL)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS_ALL)



########
